AI resources
Get order by ID

This endpoint allows consulting all information on an order using the ID obtained in the response to its creation. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/orders/{order_id}
Request parameters
Header
Authorization
string

REQUIRED

Access token to authenticate the request. For more information, see the [Authentication](https://www.mercadopago.com/developers/en/docs/your-integrations/credentials) documentation.
Path
order_id
string

REQUIRED

ID of the order. This value is returned in the response to the 'Create order' ("/v1/orders") request.
Response parameters
id
string
Identifier of the order created in the request, automatically generated by Mercado Pago.
type
string
processing_mode
string

REQUIRED

Order processing mode. For payments with Checkout Pro, the only possible value is "manual".
manual: Order's processing will be made manually. This mode is used by Checkout Pro, allowing the order to be processed later through its payment flow.
status
string
Current status of the order.
created: The order has been created successfully.
processed: All transactions have been successfully processed.
action_required: Integrator action is required to complete processing. For example, the capture of an authorized payment.
Errors

400Error. Invalid ID supplied

invalid_path_param

The order_id provided in the request path is not correct. Please confirm it and provide a valid ID to try again.

401Error. Access Token not authorized.

401

The value sent as Access Token is incorrect. Please check and try again with the correct value.

invalid_credentials

There is no support for test credentials. Use test users with production credentials for the sandbox environment and your production credentials for the production environment.

404Error. Order not found.

order_not_found

Order not found. Please check if you provided the correct order ID.

500Generic error.

internal_error

Generic error. Please try submitting the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/orders/{order_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer ' \
    
Response
{
  "id": "ORD01J49MMW3SSBK5PSV3DFR32959",
  "type": "online",
  "processing_mode": "manual",
  "status": "created",
  "status_detail": "accredited",
  "external_reference": "ext_ref_1234",
  "total_amount": "50.00",
  "total_paid_amount": "50.00",
  "marketplace_fee": "11.20",
  "capture_mode": "automatic_async",
  "country_code": "UY",
  "user_id": "12345",
  "description": "Smartphone",
  "expiration_time": "P1D",
  "client_token": "eyJhbGciOiJSUzI1NiIs...",
  "created_date": "2024-08-26T13:06:51.045317772Z",
  "last_updated_date": "2024-08-26T13:06:51.045317772Z",
  "checkout_available_at": "P3Y6M4DT12H30M5S",
  "currency": "UYU",
  "payer": {
    "email": "user@example.com"
  },
  "integration_data": {
    "application_id": "8772548647196351",
    "integrator_id": "dev_123",
    "platform_id": "1234567890",
    "sponsor": {
      "id": "446566691"
    }
  },
  "transactions": {
    "payments": [
      {
        "id": "PAY01J67CQQH5904WDBVZEM4JMEP3",
        "amount": "1000.00",
        "paid_amount": "1000.00",
        "status": "processed",
        "status_detail": "accredited",
        "confirmed_amount": "100.00",
        "expiration_time": "P1D",
        "date_of_expiration": "2023-03-01T10:00:00.000-04:00",
        "reference_id": "01JEVQM899NWSQC4FYWWW7KTF9",
        "installment_amount": "100.00",
        "payment_method": {
          "id": "visa",
          "type": "credit_card",
          "token": "12345",
          "installments": 1,
          "statement_descriptor": "MYSTORE",
          "ticket_url": "https://www.mercadopago.com.ar/payments/86797024510/ticket?caller_id=1870026883&payment_method_id=rapipago&payment_id=86797024510&payment_method_reference_id=6004835002&hash=0331521a-9ddb-44a2-851c-65f77d8d394e",
          "barcode_content": "3335008800000000006004835002100020000242462010",
          "reference": "6005407530",
          "verification_code": "6005407530",
          "financial_institution": "",
          "digitable_line": "23793380296060054351030006333303799140000020000",
          "qr_code": "00020126580014br.gov.bcb.pix0136b76aa9c2-2ec4-4110-954e-ebfe34f05b61520400005303986540510.005802BR5912TESTPVBWOSBE6009Sao Paulo62240520mpqrinter715936942186304C3C0",
          "qr_code_base64": "iVBORw0KGgoAAAANSUhEUgAABWQAAAVkAQAAAAB79i",
          "e2e_id": "PIXE18236120202509281610s04cf5a1234"
        }
      }
    ],
    "chargebacks": [
      {
        "id": "CBK01J67CQQH5904WDBVZEM4JMEP3",
        "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3",
        "case_id": "1234567890",
        "status": "in_process",
        "references": [
          {}
        ]
      }
    ],
    "refunds": [
      {
        "id": "REF01KRH48XPG7HJSJ565BDTVPH2F",
        "transaction_id": "PAY01KRH40QE51CE0XVFJ9S40W88P",
        "reference_id": "01KRH48XW8BK3FA8XHBHKXZFFJ",
        "amount": "100.00",
        "status": "processed"
      }
    ]
  },
  "items": [
    {
      "external_code": "ITEM-001",
      "title": "Product 001",
      "description": "Product description",
      "category_id": "travels",
      "picture_url": "https://example.com/img.jpg",
      "quantity": 1,
      "unit_price": "1000.00",
      "type": "travel",
      "warranty": true,
      "event_date": "2014-06-28T16:53:03.176-04:00"
    }
  ],
  "config": {
    "online": {
      "callback_url": "https://www.example.com/",
      "success_url": "https://www.example.com/success",
      "failure_url": "https://www.example.com/failure",
      "pending_url": "https://www.example.com/pending",
      "available_from": "2026-05-16T18:32:00Z",
      "auto_return": "approved",
      "retries": {
        "allowed": false
      }
    },
    "payment_method": {
      "max_installments": 12,
      "not_allowed_ids": [
        "amex"
      ],
      "not_allowed_types": [
        "ticket"
      ],
      "default_type": "credit_card",
      "installments_cost": "seller",
      "installments": {
        "interest_free": {
          "type": "range",
          "values": [
            2,
            6
          ]
        },
        "available": {
          "type": "all"
        }
      }
    }
  }
}